PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package terminals
  Definition Classes
    serverobject
-  package capture
  Definition Classes
    terminals
-  package implant
  Definition Classes
    terminals
- EquipmentTerminalDefinition
- GeneratorTerminalDefinition
- MatrixTerminalDefinition
- MedicalTerminalDefinition
- OrderTerminalDefinition
- ProximityDefinition
- ProximityTerminal
- ProximityTerminalControl
- ProximityTerminalDefinition
- ProximityUnit
- Terminal
- TerminalControl
- TerminalDefinition
- VehicleTerminalDefinition

c

net.psforever.objects.serverobject.terminals

# ProximityTerminal

###
Companion object ProximityTerminal

#### class ProximityTerminal extends Terminal with ProximityUnit

A server object that is a "terminal" that can be accessed for amenities and net.psforever.services, triggered when a certain distance from the unit itself (proximity-based).
Unlike conventional terminals, this structure is not necessarily structure-owned. For example, the cavern crystals are considered owner-neutral elements that are not attached to a `Building` object.

Source
  ProximityTerminal.scala

Linear Supertypes
ProximityUnit, Terminal, Hackable, Amenity, StandardResistanceProfile, ResistanceProfile, Vitality, VitalsHistory, PlanetSideServerObject, ZoneAware, FactionAffinity, PlanetSideGameObject, WorldEntity, IdentifiableEntity, Identifiable, AnyRef, Any
Known Subclasses
ProximityTerminalUtility

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ProximityTerminal
2. ProximityUnit
3. Terminal
4. Hackable
5. Amenity
6. StandardResistanceProfile
7. ResistanceProfile
8. Vitality
9. VitalsHistory
10. PlanetSideServerObject
11. ZoneAware
12. FactionAffinity
13. PlanetSideGameObject
14. WorldEntity
15. IdentifiableEntity
16. Identifiable
17. AnyRef
18. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ProximityTerminal(tdef: ProximityTerminalDefinition)

   tdef

     the `ObjectDefinition` that constructs this object and maintains some of its immutable fields

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Actor: ActorRef

   Retrieve a reference to the internal `Actor`.

   Retrieve a reference to the internal `Actor`.

   returns

     the internal `ActorRef`

   Definition Classes
     PlanetSideServerObject
5.  def Actor_=(control: ActorRef): ActorRef

   Assign an `Actor` to act for this server object.

   Assign an `Actor` to act for this server object. This reference is only set once, that is, as long as the internal `ActorRef` directs to `ActorRef.noSender` (`null`).

   control

     the `Actor` whose functionality will govern this server object

   returns

     the current internal `ActorRef`

   Definition Classes
     PlanetSideServerObject
6.  def AddUser(target: PlanetSideGameObject): Boolean

   Accept a new target for this unit.

   Accept a new target for this unit.

   target

     the new target

   returns

     `true`, if the entrant has been added and is new to the list; `false` if the entrant is already in the list or can not be added

   Definition Classes
     ProximityUnit
7.  def CanDamage: Boolean
   Definition Classes
     Vitality
8.  def CanRepair: Boolean
   Definition Classes
     Vitality
9.  def ClearHistory(): List[VitalsActivity]
   Definition Classes
     VitalsHistory
10.  def Continent: String
    Definition Classes
      ZoneAware
11.  def Continent_=(zoneId: String): String

    Give the entity a custom `Zone` identifier.

    Give the entity a custom `Zone` identifier.

    zoneId

      the custom identifier of the `Zone` object

    returns

      the identifier of the `Zone` object

    Definition Classes
      ZoneAware
12.  def DamageModel: DamageAndResistance
    Definition Classes
      Amenity → Vitality
13.  def Damaged(dam: Int): Unit
    Definition Classes
      Terminal
14.  def DefaultHealth: Int
    Definition Classes
      Vitality
15.  def Definition: TerminalDefinition
    Definition Classes
      Terminal → Amenity → Vitality → PlanetSideGameObject
16.  def Destroyed: Boolean
    Definition Classes
      PlanetSideGameObject
17.  def Destroyed_=(state: Boolean): Boolean
    Definition Classes
      PlanetSideGameObject
18.  def Entity: WorldEntity
    Definition Classes
      PlanetSideGameObject
19.  def Entity_=(newEntity: WorldEntity): Unit
    Definition Classes
      PlanetSideGameObject
20.  def Faction: types.PlanetSideEmpire.Value
    Definition Classes
      Amenity → FactionAffinity
21.  def Faction_=(fac: types.PlanetSideEmpire.Value): types.PlanetSideEmpire.Value
    Definition Classes
      FactionAffinity
22.  def GUID: PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
23.  def GUID_=(guid: PlanetSideGUID): PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
24.  def GUID_=(guid: StalePlanetSideGUID): PlanetSideGUID

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    guid

      the valid GUID to assign

    returns

      never returns

    Definition Classes
      IdentifiableEntity
    Exceptions thrown

      ``AssigningGUIDException`` always

25.  def HackDuration: Array[Int]
    Definition Classes
      Hackable
26.  def HackDuration_=(arr: Array[Int]): Array[Int]
    Definition Classes
      Hackable
27.  def HackEffectDuration: Array[Int]
    Definition Classes
      Hackable
28.  def HackEffectDuration_=(arr: Array[Int]): Array[Int]
    Definition Classes
      Hackable
29.  def HackSound: packet.game.TriggeredSound.Value
    Definition Classes
      Hackable
30.  def HackSound_=(sound: packet.game.TriggeredSound.Value): packet.game.TriggeredSound.Value
    Definition Classes
      Hackable
31.  def HackedBy: Option[HackInfo]
    Definition Classes
      Hackable
32.  def HackedBy_=(hackInfo: HackInfo): Option[HackInfo]
    Definition Classes
      Hackable
33.  def HackedBy_=(agent: Option[Player]): Option[HackInfo]

    Set the hack state of this object by recording important information about the player who caused it.

    Set the hack state of this object by recording important information about the player who caused it. Set the hack state if there is no current hack state. Override the hack state with a new hack state if the new user has different faction affiliation.

    agent

      a `Player`, or no player

    returns

      the player hack entry

    Definition Classes
      Hackable
34.  def HackedBy_=(agent: Player): Option[HackInfo]
    Definition Classes
      Hackable
35.  def HasGUID: Boolean

    Flag when the object has no GUID (initial condition) or is considered stale.

    Flag when the object has no GUID (initial condition) or is considered stale.

    returns

      whether the value of the GUID is a valid representation for this object

    Definition Classes
      IdentifiableEntity
36.  def Health: Int
    Definition Classes
      Vitality
37.  def Health_=(assignHealth: Int): Int
    Definition Classes
      Vitality
38.  def History(result: DamageResult): List[VitalsActivity]

    Very common example of a `VitalsActivity` event involving damage.

    Very common example of a `VitalsActivity` event involving damage.

    result

      the fully-informed entry

    returns

      the list of previous changes to this object's vital statistics

    Definition Classes
      VitalsHistory
39.  def History(action: Option[VitalsActivity]): List[VitalsActivity]

    A `VitalsActivity` event must be recorded.

    A `VitalsActivity` event must be recorded. Add new entry to the front of the list (for recent activity).

    action

      the fully-informed entry

    returns

      the list of previous changes to this object's vital statistics

    Definition Classes
      VitalsHistory
40.  def History(action: VitalsActivity): List[VitalsActivity]

    A `VitalsActivity` event must be recorded.

    A `VitalsActivity` event must be recorded. Add new entry to the front of the list (for recent activity).

    action

      the fully-informed entry

    returns

      the list of previous changes to this object's vital statistics

    Definition Classes
      VitalsHistory
41.  def History: List[VitalsActivity]
    Definition Classes
      VitalsHistory
42.  def Invalidate(): Unit

    Indicate that the current GUID is no longer a valid representation of the object.

    Indicate that the current GUID is no longer a valid representation of the object. Transforms whatever the current GUID is into a `StalePlanetSideGUID` entity with the same value. Doing this restores the object to its default mutation option ("the ability to set a new valid GUID"). The current GUID will still be accessed as if it were valid, but it will be wrapped in the new stale object.

    Definition Classes
      IdentifiableEntity
43.  def LastDamage: Option[DamageResult]
    Definition Classes
      VitalsHistory
44.  def LastShot: Option[DamageResult]

    Find, specifically, the last instance of a weapon discharge vital statistics change.

    Find, specifically, the last instance of a weapon discharge vital statistics change.

    returns

      information about the discharge

    Definition Classes
      VitalsHistory
45.  def LocationOffset: Vector3
    Definition Classes
      Amenity
46.  def LocationOffset_=(off: Option[Vector3]): Vector3
    Definition Classes
      Amenity
47.  def LocationOffset_=(off: Vector3): Vector3
    Definition Classes
      Amenity
48.  def MaxHealth: Int
    Definition Classes
      Vitality
49.  def MaxHealth_=(default: Option[Int]): Int
    Definition Classes
      Vitality
50.  def MaxHealth_=(default: Int): Int
    Definition Classes
      Vitality
51.  def NumberUsers: Int
    Definition Classes
      ProximityUnit
52.  def Orientation: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
53.  def Orientation_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
54.  def Owner: AmenityOwner

    Reference the object that is in direct association with (is superior to) this one.

    Reference the object that is in direct association with (is superior to) this one.

    returns

      the object associated as this object's "owner"

    Definition Classes
      Amenity
55.  def Owner_=(obj: AmenityOwner): AmenityOwner

    Set an object to have a direct association with (be superior to) this one.

    Set an object to have a direct association with (be superior to) this one.

    obj

      the object trying to become associated as this object's "owner"

    returns

      the object associated as this object's "owner"

    Definition Classes
      Amenity
    See also

      `Amenity.AmenityTarget`

56.  def Position: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
57.  def Position_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
58.  def RadiationShielding: Float
    Definition Classes
      StandardResistanceProfile → ResistanceProfile
59.  def RemoveUser(target: PlanetSideGameObject): Boolean

    Remove an existing target for this unit.

    Remove an existing target for this unit.

    target

      the target

    returns

      `true`, if the submitted entity was previously in the list but is not longer in the list; `false`, if the submitted entity was never in the list or can not be removed

    Definition Classes
      ProximityUnit
60.  def Repair(rep: Int): Unit
    Definition Classes
      Terminal
61.  def Request(player: Player, msg: Any): Exchange

    Process a message (a "request") dispatched by the user.

    Process a message (a "request") dispatched by the user. To be accessible, the terminal must be: owned by the same faction by the user or must be compromised or must be a zone owned object (GUID == 0, e.g. non-facility buildings in caves)

    player

      the player

    msg

      the original packet carrying the request

    returns

      an actionable message that explains what resulted from interacting with this `Terminal`

    Definition Classes
      ProximityTerminal → Terminal
    See also

      `FactionAffinity`

      `PlanetSideEmpire`

62.  def ResetControl(): ActorRef
    Definition Classes
      PlanetSideServerObject
63.  def Resist(dtype: vital.base.DamageType.Value): Float
    Definition Classes
      ResistanceProfile
64.  def ResistanceAggravated: Int
    Definition Classes
      StandardResistanceProfile → ResistanceProfile
65.  def ResistanceDirectHit: Int
    Definition Classes
      StandardResistanceProfile → ResistanceProfile
66.  def ResistanceSplash: Int
    Definition Classes
      StandardResistanceProfile → ResistanceProfile
67.  def Subtract: DamageProfile
    Definition Classes
      StandardResistanceProfile → ResistanceProfile
68.  def Targets: Seq[PlanetSideGameObject]
    Definition Classes
      ProximityUnit
69.  def Validate(radius: Float, validations: Seq[(PlanetSideGameObject) => Boolean])(target: PlanetSideGameObject): Boolean

    Confirm whether the entity is a valid target for the effects of this unit.

    Confirm whether the entity is a valid target for the effects of this unit. Curried to accept parameters for the tests separately from the entity to be tested. In general, the two requirements beyond the custom validations involve distance (from the unit) and inclusiveness (known to the unit beforehand).

    radius

      the squared minimum activation distance

    validations

      the custom tests that the entity must pass to be considered valid; in general, regardless of the type of the target, any of the tests must be passed

    target

      the submitted entity

    returns

      `true`, if the entity passes the validation tests; `false`, otherwise

    Definition Classes
      ProximityUnit
70.  def Validate(target: PlanetSideGameObject): Boolean

    Confirm whether the entity is a valid target for the effects of this unit.

    Confirm whether the entity is a valid target for the effects of this unit.

    target

      the submitted entity

    returns

      `true`, if the entity passes the validation tests; `false`, otherwise

    Definition Classes
      ProximityUnit
71.  def Velocity: Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
72.  def Velocity_=(vec: Option[Vector3]): Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
73.  def Velocity_=(vec: Vector3): Option[Vector3]
    Definition Classes
      WorldEntity
74.  def Zone: Zone
    Definition Classes
      Amenity → ZoneAware
75.  def Zone_=(zone: Zone): Zone

    When assigning a new `Zone` object for the `Vehicle` object, eliminate

    When assigning a new `Zone` object for the `Vehicle` object, eliminate

    zone

      a reference to the `Zone` object

    returns

      a reference to the `Zone` object

    Definition Classes
      ZoneAware
76.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
77.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
78.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
79.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
80.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
81.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
82.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
83.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
84.  def isMoving(test: Float): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the (squared) velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
85.  def isMoving(test: Vector3): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
86.  def isMoving: Boolean

    A velocity of non-zero is the same as moving.

    A velocity of non-zero is the same as moving.

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
87.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
88.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
89.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
90.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
91.  def toString(): String
    Definition Classes
      AnyRef → Any
92.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
93.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
94.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from ProximityUnit

### Inherited from Terminal

### Inherited from Hackable

### Inherited from Amenity

### Inherited from StandardResistanceProfile

### Inherited from ResistanceProfile

### Inherited from Vitality

### Inherited from VitalsHistory

### Inherited from PlanetSideServerObject

### Inherited from ZoneAware

### Inherited from FactionAffinity

### Inherited from PlanetSideGameObject

### Inherited from WorldEntity

### Inherited from IdentifiableEntity

### Inherited from Identifiable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped